Skip to content
For the complete documentation index, see llms.txt. Markdown versions of documentation pages are available by appending .md to the page URL.
Primary navigation

Create voice consent

audio.voice_consents.create(**kwargs) -> VoiceConsent
POST
/audio/voice_consents

Upload a voice consent recording.

Parameters
language: str

The BCP 47 language tag for the consent phrase (for example, en-US).

name: str

The label to use for this consent recording.

recording: FileTypes

The consent audio recording file. Maximum size is 10 MiB.

Supported MIME types: audio/mpeg, audio/wav, audio/x-wav, audio/ogg, audio/aac, audio/flac, audio/webm, audio/mp4.

Returns

Create voice consent

import os
from openai import OpenAI

client = OpenAI(
    api_key=os.environ.get("OPENAI_API_KEY"),  # This is the default and can be omitted
)
voice_consent = client.audio.voice_consents.create(
    language="language",
    name="name",
    recording=b"Example data",
)
print(voice_consent.id)
200 example
{
  "id": "cons_1234",
  "created_at": 0,
  "language": "language",
  "name": "name",
  "object": "audio.voice_consent"
}
Returns Examples
200 example
{
  "id": "cons_1234",
  "created_at": 0,
  "language": "language",
  "name": "name",
  "object": "audio.voice_consent"
}